Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgText::Font::Glyph Class Reference

Inheritance diagram for osgText::Font::Glyph:

[legend]
List of all members.

## Public Member Functions
| Glyph ()
unsigned int | getGlyphCode () const
void | setHorizontalBearing (const osg::Vec2 &bearing)
const osg::Vec2 & | getHorizontalBearing () const
void | setHorizontalAdvance (float advance)
float | getHorizontalAdvance () const
void | setVerticalBearing (const osg::Vec2 &bearing)
const osg::Vec2 & | getVerticalBearing () const
void | setVerticalAdvance (float advance)
float | getVerticalAdvance () const
void | setTexture (GlyphTexture *texture)
GlyphTexture * | getTexture ()
const GlyphTexture * | getTexture () const
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setTexturePosition (int posX, int posY)
int | getTexturePositionX () const
int | getTexturePositionY () const
void | setMinTexCoord (const osg::Vec2 &coord)
const osg::Vec2 & | getMinTexCoord () const
void | setMaxTexCoord (const osg::Vec2 &coord)
const osg::Vec2 & | getMaxTexCoord () const
void | subload () const
void | draw (osg::State &state) const
## Protected Types
typedef osg::buffered_value< GLuint > | GLObjectList
## Protected Member Functions
virtual | ~Glyph ()
## Protected Attributes
Font * | _font
unsigned int | _glyphCode
osg::Vec2 | _horizontalBearing
float | _horizontalAdvance
osg::Vec2 | _verticalBearing
float | _verticalAdvance
GlyphTexture * | _texture
int | _texturePosX
int | _texturePosY
osg::Vec2 | _minTexCoord
osg::Vec2 | _maxTexCoord
GLObjectList | _globjList

## Member Typedef Documentation

typedef osg::buffered_value<GLuint> osgText::Font::Glyph::GLObjectList`[protected]`

## Constructor & Destructor Documentation

osgText::Font::Glyph::Glyph | ( |  | ) |

virtual osgText::Font::Glyph::~Glyph | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void osgText::Font::Glyph::draw | ( | osg::State & | state | ) | const

unsigned int osgText::Font::Glyph::getGlyphCode | ( |  | ) | const

float osgText::Font::Glyph::getHorizontalAdvance | ( |  | ) | const

const osg::Vec2& osgText::Font::Glyph::getHorizontalBearing | ( |  | ) | const

const osg::Vec2& osgText::Font::Glyph::getMaxTexCoord | ( |  | ) | const

const osg::Vec2& osgText::Font::Glyph::getMinTexCoord | ( |  | ) | const

const osg::StateSet* osgText::Font::Glyph::getStateSet | ( |  | ) | const

osg::StateSet* osgText::Font::Glyph::getStateSet | ( |  | ) |

const GlyphTexture* osgText::Font::Glyph::getTexture | ( |  | ) | const

GlyphTexture* osgText::Font::Glyph::getTexture | ( |  | ) |

int osgText::Font::Glyph::getTexturePositionX | ( |  | ) | const

int osgText::Font::Glyph::getTexturePositionY | ( |  | ) | const

float osgText::Font::Glyph::getVerticalAdvance | ( |  | ) | const

const osg::Vec2& osgText::Font::Glyph::getVerticalBearing | ( |  | ) | const

void osgText::Font::Glyph::setHorizontalAdvance | ( | float | advance | ) |

void osgText::Font::Glyph::setHorizontalBearing | ( | const osg::Vec2 & | bearing | ) |

void osgText::Font::Glyph::setMaxTexCoord | ( | const osg::Vec2 & | coord | ) |

void osgText::Font::Glyph::setMinTexCoord | ( | const osg::Vec2 & | coord | ) |

void osgText::Font::Glyph::setTexture | ( | GlyphTexture * | texture | ) |

void osgText::Font::Glyph::setTexturePosition | ( | int | posX,
|  | int | posY
| ) |

void osgText::Font::Glyph::setVerticalAdvance | ( | float | advance | ) |

void osgText::Font::Glyph::setVerticalBearing | ( | const osg::Vec2 & | bearing | ) |

void osgText::Font::Glyph::subload | ( |  | ) | const

## Member Data Documentation

Font* osgText::Font::Glyph::_font`[protected]`

GLObjectList osgText::Font::Glyph::_globjList`[mutable, protected]`

unsigned int osgText::Font::Glyph::_glyphCode`[protected]`

float osgText::Font::Glyph::_horizontalAdvance`[protected]`

osg::Vec2 osgText::Font::Glyph::_horizontalBearing`[protected]`

osg::Vec2 osgText::Font::Glyph::_maxTexCoord`[protected]`

osg::Vec2 osgText::Font::Glyph::_minTexCoord`[protected]`

GlyphTexture* osgText::Font::Glyph::_texture`[protected]`

int osgText::Font::Glyph::_texturePosX`[protected]`

int osgText::Font::Glyph::_texturePosY`[protected]`

float osgText::Font::Glyph::_verticalAdvance`[protected]`

osg::Vec2 osgText::Font::Glyph::_verticalBearing`[protected]`

The documentation for this class was generated from the following file:

- Font